package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class Pekerjaan
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "Pekerjaan_M")
public class Pekerjaan extends BaseMaster {
	@NotNull(message = "Kd Pekerjaan tidak boleh kosong")
	@Column(name = "KdPekerjaan", nullable = false)
	@Caption(value = "Kode Pekerjaan")
	private Byte kdPekerjaan;

	public void setKdPekerjaan(Byte kdPekerjaan) {
		this.kdPekerjaan = kdPekerjaan;
	}

	public Byte getKdPekerjaan() {
		return this.kdPekerjaan;
	}

	@NotNull(message = "Pekerjaan tidak boleh kosong")
	@Column(name = "Pekerjaan", nullable = false, length = 50)
	@Caption(value = "Pekerjaan")
	private String pekerjaan;

	public void setPekerjaan(String pekerjaan) {
		this.pekerjaan = pekerjaan;
	}

	public String getPekerjaan() {
		return this.pekerjaan;
	}

	@NotNull(message = "QPekerjaan tidak boleh kosong")
	@Column(name = "QPekerjaan", nullable = false)
	@Caption(value = "QPekerjaan")
	private Byte qPekerjaan;

	public void setqPekerjaan(Byte qPekerjaan) {
		this.qPekerjaan = qPekerjaan;
	}

	public Byte getqPekerjaan() {
		return this.qPekerjaan;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.pekerjaan_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.pekerjaan_m_id_seq", sequenceName = "public.pekerjaan_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}